﻿Public Class Functions

    ''' <summary>
    ''' یک مقدار را می گیرد و آنرا تبدیل به عدد می کند
    ''' اگر قابل تبدیل به عدد نباشد، مقدار پیش فرض را برمیگرداند
    ''' </summary>
    ''' <param name="value"></param>
    ''' <param name="defaultValue"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Shared Function GetNumericValue(ByVal value As Object, _
                                    ByVal defaultValue As Decimal) As Decimal
        Dim returnValue As Decimal = defaultValue
        If IsNothing(value) = False Then
            If IsNumeric(value) = True Then
                returnValue = value
            End If
        End If
        Return returnValue
    End Function

End Class
